- Home
- API Enriched
- Ai Services
- ai_data
- Subscribe to BFDP pipeline.
Subscribe to BFDP pipeline.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ai_data/bfdp/namespaces/system/bfdp/subscribe';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"product_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ai_data/bfdp/namespaces/system/bfdp/subscribe \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "product_name": "example" }'Subscribe to BFDP pipeline.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request to subscribe to BFDP CMS.
object
F5 product’s pipeline object name .
Examplegenerated
{ "product_name": "example"}Responses
Section titled “Responses”A successful response.
Response of subscribe to BFDP CMS.
object
F5 product’s pipeline configured tenant .
F5 product’s pipeline ID for which this tenant is configured.
F5 product’s pipeline name for which this tenant is configured.
F5 product’s pipeline token to ingest data .
Examplegenerated
{ "configured_tenant_id": "example", "pipeline_id": "example", "pipeline_name": "example", "token": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example